//
//  UIView+HExtension.m
//  ExerciseAnimation
//
//  Created by L.mac on 2019/5/6.
//  Copyright © 2019 L.mac. All rights reserved.
//

#import "UIView+HExtension.h"

@implementation UIView (HExtension)

- (CGFloat)x{
    
    return self.frame.origin.x;
}

- (void)setX:(CGFloat)x{
    
    CGRect frame = self.frame;
    frame.origin.x = x;
    self.frame = frame;
}

- (CGFloat)y{
    
    return self.frame.origin.y;
}

- (void)setY:(CGFloat)y{
    
    CGRect frame = self.frame;
    frame.origin.y = y;
    self.frame = frame;
}

- (CGFloat)width{
    
    return self.frame.size.width;
}

- (void)setWidth:(CGFloat)width{
    
    CGRect frame = self.frame;
    frame.size.width = width;
    self.frame = frame;
}

- (CGFloat)height{
    
    return self.frame.size.height;
}

- (void)setHeight:(CGFloat)height{
    
    CGRect frame = self.frame;
    frame.size.height = height;
    self.frame = frame;
}

- (CGFloat)centerX{
    
    return self.center.x;
}

- (void)setCenterX:(CGFloat)centerX{
    
    self.center = CGPointMake(centerX, self.center.y);
}

- (CGFloat)centerY{
    
    return self.center.y;
}

- (void)setCenterY:(CGFloat)centerY{
    
    self.center = CGPointMake(self.center.x, centerY);
}

- (CGPoint)origin{
    
    return self.frame.origin;
}

- (void)setOrigin:(CGPoint)origin{
    
    CGRect frame = self.frame;
    frame.origin = origin;
    self.frame = frame;
}

- (CGSize)size{
    
    return self.frame.size;
}

- (void)setSize:(CGSize)size{
    
    CGRect frame = self.frame;
    frame.size = size;
    self.frame = frame;
}

@end
